Displaying #maven/2017-02-12.log:

Sun Feb 12 00:22:39 2017  dmlloyd:Joined the channel
Sun Feb 12 01:07:07 2017  olamy:Joined the channel
Sun Feb 12 01:29:33 2017  mischat:Joined the channel
Sun Feb 12 01:30:36 2017  FiveBroDeepBook:Joined the channel
Sun Feb 12 01:30:38 2017  FiveBroDeepBook:Left the channel
Sun Feb 12 02:02:29 2017  elh9:Joined the channel
Sun Feb 12 02:03:46 2017  elh9:Joined the channel
Sun Feb 12 02:09:03 2017  random_numbers:Left the channel
Sun Feb 12 04:34:37 2017  Keepa:Joined the channel
Sun Feb 12 04:37:24 2017  olamy:Joined the channel
Sun Feb 12 06:23:33 2017  FiveBroDeepBook:Joined the channel
Sun Feb 12 06:23:33 2017  olamy:Joined the channel
Sun Feb 12 06:23:35 2017  FiveBroDeepBook:Left the channel
Sun Feb 12 06:30:17 2017  olamy:Joined the channel
Sun Feb 12 06:58:30 2017  olamy:Joined the channel
Sun Feb 12 08:31:46 2017  olamy:Joined the channel
Sun Feb 12 09:57:17 2017  sim642:Joined the channel
Sun Feb 12 09:58:00 2017  sim642:I have thymeleaf-spring4:3.0.3 which's POM has thymeleaf:3.0.3 dependency but when everything gets resolved thymeleaf:2.1.5 is downloaded instead, wtf
Sun Feb 12 10:17:46 2017  thc202:Joined the channel
Sun Feb 12 10:20:48 2017  lithium:Joined the channel
Sun Feb 12 12:15:39 2017  FiveBroDeepBook:Joined the channel
Sun Feb 12 12:15:41 2017  FiveBroDeepBook:Left the channel
Sun Feb 12 12:34:48 2017  Omnipotent:Joined the channel
Sun Feb 12 12:41:53 2017  mischat:Joined the channel
Sun Feb 12 13:08:16 2017  nicoulaj:sim642: run mvn dependency:tree
Sun Feb 12 13:18:52 2017  elh9:Joined the channel
Sun Feb 12 13:42:29 2017  mischat:Joined the channel
Sun Feb 12 13:46:52 2017  mischat:Joined the channel
Sun Feb 12 14:04:31 2017  sim642:It shows the 2.1.5 version is managed but I don't specify it anywhere and nor does any dependency
Sun Feb 12 14:33:39 2017  Maldivia:sim642: look at the tree, where is it first mentioned
Sun Feb 12 14:48:01 2017  sim642:They're all omitted
Sun Feb 12 14:49:16 2017  sim642:I already fixed it by explicitly depending on 3.0.3 of thymeleaf in my POM but I don't see why it would be managed to be 2.1.5 if only mentions of that version were omitted
Sun Feb 12 14:55:06 2017  edvorg:Joined the channel
Sun Feb 12 14:58:45 2017  Maldivia:well, obviously another dependency dependend on 2.1.5 -- you might want to look into that, because that dependency might not work well with 3.0.3
Sun Feb 12 14:59:26 2017  sim642:It works just fine if I manually add the dependency's depedencies to my POM as the version they're supposed to be
Sun Feb 12 14:59:29 2017  sim642:There's no problems with that
Sun Feb 12 14:59:58 2017  sim642:for some reason if I didn't do that the version was being resolved to a dependency which dependency:tree said was omitted
Sun Feb 12 15:09:25 2017  nicoulaj:Joined the channel
Sun Feb 12 15:19:05 2017  mischat:Joined the channel
Sun Feb 12 15:51:44 2017  elh9:Joined the channel
Sun Feb 12 16:20:38 2017  mischat:Joined the channel
Sun Feb 12 17:21:20 2017  mischat:Joined the channel
Sun Feb 12 18:21:56 2017  mischat:Joined the channel
Sun Feb 12 18:36:27 2017  jon-mac:Joined the channel
Sun Feb 12 19:16:26 2017  bendlas:Joined the channel
Sun Feb 12 20:10:41 2017  denisMone:Joined the channel
Sun Feb 12 20:23:37 2017  mischat:Joined the channel
Sun Feb 12 20:30:26 2017  mischat:Joined the channel
Sun Feb 12 21:11:31 2017  jimklo:Joined the channel
Sun Feb 12 21:57:53 2017  jimklo:Joined the channel
Sun Feb 12 23:31:28 2017  Sasazuka:Joined the channel
Sun Feb 12 23:34:06 2017  Sasazuka:Joined the channel

Comments